IntegrationService
The IntegrationService methods and their request and response messages.
Generated from integration.proto. Every method is
POST /rpc/engram.app.v1.IntegrationService/<Method> with a JSON or protobuf body and an
x-api-key header.
Methods
Section titled “Methods”Messages
Section titled “Messages”CatalogCapability
Section titled “CatalogCapability”| Field | Type |
|---|---|
action |
string |
access |
string |
asset |
string |
label |
string |
host |
string |
endpoint_rule |
string |
Connector
Section titled “Connector”| Field | Type |
|---|---|
provider |
string |
config_json |
string |
builtin |
bool |
created_at |
string |
updated_at |
string |
status |
string |
settings |
map<string, string> |
ConnectorDisplay
Section titled “ConnectorDisplay”| Field | Type |
|---|---|
name |
string |
category |
string |
blurb |
string |
icon |
ConnectorIcon |
featured |
bool |
ConnectorIcon
Section titled “ConnectorIcon”| Field | Type |
|---|---|
mono |
string |
color |
string |
logo |
string |
CreateConnectionRequest
Section titled “CreateConnectionRequest”| Field | Type |
|---|---|
alias |
string |
provider |
string |
display_name |
string |
google_cloud |
GoogleCloudConnectionConfig |
CreateConnectionResponse
Section titled “CreateConnectionResponse”| Field | Type |
|---|---|
connection |
IntegrationConnection |
DeleteConnectionRequest
Section titled “DeleteConnectionRequest”| Field | Type |
|---|---|
id |
string |
DeleteConnectionResponse
Section titled “DeleteConnectionResponse”| Field | Type |
|---|---|
deleted |
bool |
DeleteConnectorRequest
Section titled “DeleteConnectorRequest”| Field | Type |
|---|---|
provider |
string |
DeleteConnectorResponse
Section titled “DeleteConnectorResponse”| Field | Type |
|---|---|
deleted |
bool |
GetGoogleCloudSetupRequest
Section titled “GetGoogleCloudSetupRequest”| Field | Type |
|---|---|
id |
string |
GetGoogleCloudSetupResponse
Section titled “GetGoogleCloudSetupResponse”| Field | Type |
|---|---|
issuer |
string |
audience |
string |
subject_attribute |
string |
connection_attribute |
string |
gcloud_script |
string |
terraform |
string |
GetIntegrationCatalogRequest
Section titled “GetIntegrationCatalogRequest”No fields.
GetIntegrationCatalogResponse
Section titled “GetIntegrationCatalogResponse”| Field | Type |
|---|---|
providers |
repeated ProviderCatalogEntry |
GoogleCloudConnectionConfig
Section titled “GoogleCloudConnectionConfig”| Field | Type |
|---|---|
workload_identity_provider |
string |
service_account_email |
string |
endpoints |
repeated string |
cloud_sql_postgres_instance |
string |
IntegrationConnection
Section titled “IntegrationConnection”| Field | Type |
|---|---|
id |
string |
alias |
string |
provider |
string |
display_name |
string |
enabled |
bool |
tested_at |
string |
created_at |
string |
updated_at |
string |
google_cloud |
GoogleCloudConnectionConfig |
is_default |
bool |
ListConnectionsRequest
Section titled “ListConnectionsRequest”No fields.
ListConnectionsResponse
Section titled “ListConnectionsResponse”| Field | Type |
|---|---|
connections |
repeated IntegrationConnection |
ListConnectorsRequest
Section titled “ListConnectorsRequest”No fields.
ListConnectorsResponse
Section titled “ListConnectorsResponse”| Field | Type |
|---|---|
connectors |
repeated Connector |
ProviderCatalogEntry
Section titled “ProviderCatalogEntry”| Field | Type |
|---|---|
provider |
string |
display |
ConnectorDisplay |
credential_source |
string |
hosts |
repeated string |
capabilities |
repeated CatalogCapability |
default_connection_id |
string |
connection_model |
string |
user_credential |
UserCredentialSupport |
SetConnectionEnabledRequest
Section titled “SetConnectionEnabledRequest”| Field | Type |
|---|---|
id |
string |
enabled |
bool |
SetConnectionEnabledResponse
Section titled “SetConnectionEnabledResponse”| Field | Type |
|---|---|
connection |
IntegrationConnection |
SetConnectorSettingsRequest
Section titled “SetConnectorSettingsRequest”| Field | Type |
|---|---|
provider |
string |
settings |
map<string, string> |
SetConnectorSettingsResponse
Section titled “SetConnectorSettingsResponse”| Field | Type |
|---|---|
connector |
Connector |
SetMintCredentialRequest
Section titled “SetMintCredentialRequest”| Field | Type |
|---|---|
provider |
string |
kind |
string |
values |
map<string, string> |
SetMintCredentialResponse
Section titled “SetMintCredentialResponse”| Field | Type |
|---|---|
secret_names |
repeated string |
TestConnectionRequest
Section titled “TestConnectionRequest”| Field | Type |
|---|---|
id |
string |
TestConnectionResponse
Section titled “TestConnectionResponse”| Field | Type |
|---|---|
ok |
bool |
message |
string |
TestConnectorRequest
Section titled “TestConnectorRequest”| Field | Type |
|---|---|
provider |
string |
draft_values |
map<string, string> |
draft_settings |
map<string, string> |
TestConnectorResponse
Section titled “TestConnectorResponse”| Field | Type |
|---|---|
ok |
bool |
message |
string |
UpdateConnectionRequest
Section titled “UpdateConnectionRequest”| Field | Type |
|---|---|
id |
string |
alias |
string |
display_name |
string |
google_cloud |
GoogleCloudConnectionConfig |
UpdateConnectionResponse
Section titled “UpdateConnectionResponse”| Field | Type |
|---|---|
connection |
IntegrationConnection |
UploadConnectorLogoRequest
Section titled “UploadConnectorLogoRequest”| Field | Type |
|---|---|
provider |
string |
data |
bytes |
media_type |
string |
UploadConnectorLogoResponse
Section titled “UploadConnectorLogoResponse”| Field | Type |
|---|---|
logo_url |
string |
UpsertConnectorRequest
Section titled “UpsertConnectorRequest”| Field | Type |
|---|---|
config_json |
string |
UpsertConnectorResponse
Section titled “UpsertConnectorResponse”| Field | Type |
|---|---|
connector |
Connector |
UserCredentialSupport
Section titled “UserCredentialSupport”| Field | Type |
|---|---|
oauth |
bool |
token |
bool |
token_hint |
string |